Bug 9769 - Replace YUI buttons on acquisitions basket page with Bootstrap
Summary: Replace YUI buttons on acquisitions basket page with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL: /cgi-bin/koha/acqui/basket.pl?basketno=
Keywords:
Depends on:
Blocks: 9779
  Show dependency treegraph
 
Reported: 2013-03-08 14:45 UTC by Owen Leonard
Modified: 2013-12-05 20:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9769 - Replace YUI buttons on acquisitions basket page with Bootstrap (10.54 KB, patch)
2013-03-08 14:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9769 [Revised] Replace YUI buttons on acquisitions basket page with Bootstrap (10.72 KB, patch)
2013-03-18 13:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9769 [Revised] Replace YUI buttons on acquisitions basket page with Bootstrap (10.73 KB, patch)
2013-03-18 15:40 UTC, Brendan Gallagher
Details | Diff | Splinter Review
[PASSED QA] Bug 9769 [Revised] Replace YUI buttons on acquisitions basket page with Bootstrap (11.05 KB, patch)
2013-03-21 08:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9679 - can't place hold from cart in CCSR (1.67 KB, patch)
2013-05-10 14:17 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-08 14:45:43 UTC
The toolbar buttons on the acquisitions basket page are constructed using YUI. They should use Bootstrap instead.
Comment 1 Owen Leonard 2013-03-08 14:58:04 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2013-03-15 17:57:35 UTC
I cannot reopen a closed basket. All the rest is correct.

M. Saby
Comment 3 Owen Leonard 2013-03-18 13:49:40 UTC Comment hidden (obsolete)
Comment 4 Brendan Gallagher 2013-03-18 15:40:27 UTC Comment hidden (obsolete)
Comment 5 Brendan Gallagher 2013-03-18 15:41:02 UTC
Followed test plan and this worked.
Comment 6 Katrin Fischer 2013-03-21 08:46:48 UTC
Created attachment 16573 [details] [review]
[PASSED QA] Bug 9769 [Revised] Replace YUI buttons on acquisitions basket page with Bootstrap

Toolbar buttons on the acquisitions basket page are constructed by YUI.
They should use Bootstrap instead.

Other minor changes: Fixes for invalid markup.

To test, view baskets in various states: Empty, open closed. View
baskets in groups and not in groups. Buttons should look correct and
work correctly:

- Edit
- Delete
- Close
- Reopen
- Export

Revision corrects check for 'skip_confirm_reopen' variable when
reopening baskets. Please test with BasketConfirmations both on and off.

Signed-off-by: Brendan <brendan@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested all options, some notes about behaviour:
- closing a basket is only possible, when there are no uncertain prices
  (no button close basket)
- reopening a basket requires, that you first remove the basket from
  any basket group (no button to reopen basket)
Comment 7 Jared Camins-Esakov 2013-03-21 14:11:33 UTC
This patch has been pushed to master.
Comment 8 Nicole C. Engard 2013-05-10 14:17:43 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2013-05-10 14:19:35 UTC
Comment on attachment 18068 [details] [review]
[SIGNED-OFF] Bug 9679 - can't place hold from cart in CCSR

wrong bug